Underlying connection was closed while loading content from AGOL

10608
7
04-30-2019 11:02 PM
AdarshMadhavankutty
New Contributor II

Unable to add a Basemap or access data from ArcGIS online account using  Arcmap 10.5.1 interface . The connection closes with an error message " the underlying connection was closed an unexpected error occurred on a send ".

Please advise a workaround/solution.

7 Replies
JoeCatanzarita1
Occasional Contributor II

Adarsh,

Hello and good morning! Thank you for reaching out, my name is Joe and I work in Esri Support Services.

Based off of the behavior you've described, I'm immediately interested to know if you've downloaded the necessary TLS 1.2 patch? The ArcGIS Online switch to TLS 1.2 occurred recently and depending on the software installed, you need to have at least one patch downloaded on your machine. Since you say you're using ArcGIS Desktop 10.5.1, here is some information on this product:

In regards to the second link, you'll be directed here, which is the downloadable ArcGIS Desktop TLS Patch. Make sure ArcMap is closed and download the above patch, after that try to add the basemap to ArcMap again. Does the basemap successfully import or are there still errors?

I look forward to your response!

Cheers,

Joe

AdarshMadhavankutty
New Contributor II

Dear Joe ,

Thank you for your reply. Yes, I downloaded the TLS 1.2 patch for 10.5.1 and updated . Now I am able to access AGOL from ArcMap

Thanks a lot

Adarsh

JoeCatanzarita1
Occasional Contributor II

Adarsh Madhavankutty,

Thank you for the response! I'm very pleased that the TLS 1.2 Desktop Patch resolved the issues being observed. 

If you wouldn't mind, go ahead and mark this issue as answered for anyone else that might run into the same issue!

I hope you have a great day.

Joe

AbhayPawar
New Contributor

HI Joe

Good Morning 

I have faced the same issue for loading AGOL, But I have ArcGIS version 10.1 and patches available is up to 10.2 can you please advise me for the same 

Thanks 

Abhay 

 

0 Kudos
dirtscience
New Contributor

Hi, I know this post is a few years old, but I'm having the same problem on my field laptop running Windows XP. I have TLS 1.2 enabled, and have every patch I can downloaded. I cannot download the ones on the links in the solution and there are no XP options. I'm using ArcMap 10.1 

Are there no solutions in my case?

Thank you

0 Kudos
UttamGhimire
New Contributor

Hi Joe, 

I ran into a similar issue, but the problem is; My ArcMap version is 10.1. I could see from the website the TLS support is available from 10.2 onwards only. Could you please guide me how can I get my basemaps back. 

 

Thanks in advance. 

Cheers,

Uttam

0 Kudos
NataliePethick
New Contributor

Hi Uttam,

I have the same problem, did you manage to rectify the issue ? If so, are you able to please offer me some advice ?

Many thanks,

Natalie